
%define qtmajor 5
%define qtminor 6
%define qtsubminor 1

%define rel 1

%define major_private 1
%define qtversion %{qtmajor}.%{qtminor}.%{qtsubminor}

%define qttarballdir qtdoc-opensource-src-%{qtversion}

Name: qtdoc5
Version: %{qtversion}
Release: %mkrel %{rel}
Summary: Qt GUI toolkit
Group: Documentation
License: LGPLv2 with exceptions or GPLv3 with exceptions and GFDL
URL:     http://www.qt.io
Source0: http://download.qt.io/official_releases/qt/%{qtmajor}.%{qtminor}/%{version}/submodules/%{qttarballdir}.tar.xz
BuildRequires: qtbase5-devel
BuildRequires: qtscript5-devel
BuildRequires: qtsvg5-devel
BuildRequires: qtxmlpatterns5-devel
BuildRequires: qttools5-assistant
BuildRequires: qttools5
 
BuildArch: noarch

#Branch Patchs

#Trunk Patchs

#Patch from Others


%description
Qt5 Documentation

%files
%doc %_qt5_docdir

#------------------------------------------------------------------------------

%prep
%setup -q -n %qttarballdir

%build
%qmake_qt5
%make docs

#------------------------------------------------------------------------------

%install
rm -rf %buildroot
%qmakeinstall_std

mkdir -p %{buildroot}%{_qt5_docdir}
cp -fr doc/qtdoc* %{buildroot}%{_qt5_docdir}/


%changelog
* Thu Jun 09 2016 bb <bb> 5.6.1-1pclos2016
- update

* Fri Mar 18 2016 bb <bb> 5.6.0-1pclos2016
- update
